Summary: A utility for retrieving files using the HTTP or FTP protocols.
Name: wget
Version: 1.10.2
Release: 3tr
License: GPL
Group: Trustix Official
Source: ftp://ftp.gnu.org/gnu/wget/wget-%{version}.tar.gz 
Patch:  wget-1.9.1-trustix.patch
#Patch1: wget-1.8.2-ctype.patch
Patch2: wget-1.9.1-CAN-2004-1487_1488.patch
Patch3: wget-1.10.2-CVE-2006-6719.patch
Provides: webclient
Requires: openssl
PreReq: htmlinfo
BuildRequires: openssl-devel, texinfo
BuildRoot: /var/tmp/%{name}-root


%description
GNU Wget is a file retrieval utility which can use either the HTTP or
FTP protocols.  Wget features include the ability to work in the
background while you're logged out, recursive retrieval of
directories, file name wildcard matching, remote file timestamp
storage and comparison, use of Rest with FTP servers and Range with
HTTP servers to retrieve files over slow or unstable connections,
support for Proxy servers, and configurability.

Install wget if you need to retrieve large numbers of files with HTTP or
FTP, or if you need a utility for mirroring web sites or FTP directories.


%prep
%setup -q
%patch -p1
#%patch1 -p1
%patch2 -p1
%patch3 -p1


%build
%configure --sysconfdir=/etc \
	--disable-nls
make

# generate HTML docu (from broken source)
cd doc && makeinfo --html --no-split --force %{name}.texi || true


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%makeinstall

cd doc
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/html/%{name}
install %{name}.html $RPM_BUILD_ROOT/%{_datadir}/html/%{name}/
rm -Rf $RPM_BUILD_ROOT%{_prefix}/share/info

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%post
/usr/sbin/htmlinfo_update.sh


%postun
/usr/sbin/htmlinfo_update.sh


%files
%defattr(-,root,root,0755)
%config(noreplace) /etc/wgetrc
%{_bindir}/wget

#%files -doc
#%defattr(-,root,root)
%doc AUTHORS MAILING-LIST NEWS README INSTALL doc/ChangeLog
%{_mandir}/man1/wget*
%{_datadir}/html/%{name}


%changelog
* Fri Jan 12 2007 Bipin S <bipin at trustix dot org> 1.10.2-3tr
- Security Fix: The ftp_syst function in ftp-basic.c allows remote 
  attackers to cause a denial of service (application crash) via a 
  malicious FTP server with a large number of blank 220 responses 
  to the SYST command.

  The Common Vulnerabilities and Exposures project (cve.mitre.org) has
  assigned the name CVE-2006-6719 to this issue.

* Thu Oct 20 2005 Ajith Thampi <ajith at comodo dot com> 1.10.2-2tr		
- added openssl support with reference to README," As a special exception,
  the Free Software Foundation gives permission to link the code of its
  release of Wget with the OpenSSL project's "OpenSSL" library (or with
  modified versions of it that use the same license as the "OpenSSL"
  library), and distribute the linked executables ". Bug #1342

* Mon Oct 17 2005 Bipin S <bipin at comodo dot com> 1.10.2-1tr
- New upstream.
- Security Fix: Stack-based buffer overflow in the ntlm_output function in 
  http-ntlm.c. when NTLM authentication is enabled, allows remote servers to 
  execute arbitrary code via a long NTLM username.

  The Common Vulnerabilities and Exposures project (cve.mitre.org) has
  assigned the name CAN-2005-3185 to this issue.

* Fri Jun 10 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 1.9.1-10tr
- Security Fix: wget allows a remote malicious web server to overwrite certain files 
  via a redirection URL containing a ".." that resolves to the IP address of the 
  malicious server, which bypasses wget's filtering for ".." sequences.
- wget does not filter or quote control characters when displaying HTTP responses to 
  the terminal, which may allow remote malicious web servers to inject terminal escape 
  sequences and execute arbitrary code. 
 
  The Common Vulnerabilities and Exposures project (cve.mitre.org) has
  assigned the name CAN-2004-1487 and CAN-2004-1488 to this issue.

* Thu Mar 17 2005 Lakshmi Dinamoni <lakshmi at comodo dot com> 1.9.1-8tr 
- Rebuild for glibc-2.3.4-6tr
- Fix unpackaged files

* Thu Mar 03 2005 Ajith Thampi <ajith at comodo dot com> 1.9.1-7tr
- Rebuild with gnutls

* Tue Nov 10 2004 Oystein Viggen <oysteivi at trustix dot com> 1.9.1-6tr
- Rebuild with shared openssl

* Mon Sep 27 2004 Syed Shabir <syedshabir at comodo dot com> 1.9.1-5tr
- Added patch ctype

* Mon Feb  2 2004 Chr. Toldnes <christht at trustix dot org> 1.9.1-2tr
- PreReq: htmlinfo

* Wed Dec  3 2003 Erlend Midttun <erlendbm at trustix dot org> 1.9.1-1tr
- New upstream.

* Wed Oct 15 2003 Goetz Bock <bg at tawie dot org> 1.8.2-7bg
- added patch1 from debian to get large file (sorry, always on)
  and IPv6 support.
- some specfile cleanups: more maros, more buildrequirements
- added html info page

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.8.2-6tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 1.8.2-5em
- Rebuilt against glibc 2.3.2.

* Thu Feb 27 2003 Christian H. Toldnes <christht@tihlde.org> 1.8.2-4ct
- Added better removel of $RPM_BUILD_ROOT

* Wed Jan 23 2003 Tor Hveem <torh at trustix dot org> 1.8.2-3th
- rebuilt against openssl-0.9.7

* Mon Sep  2 2002 Goetz Bock <bock at trustix dot org> 1.8.2-2bg
- removed info stuff, manpage is up to date and generated from texi file
- removed locale (aka NLS)

* Thu Jul 25 2002 Nico Erfurth <masta at trustix dot org> 1.8.2-1ne
- New upstream version
- Removed locales

* Wed Jul 24 2002 Daniel Meyer <eagle at trustix dot org> 1.6-3dm
- rebuild for Trustix Secure Linux 2.0

* Wed Feb 21 2001 Oren Tirosh <oren@hishome.net>
- Updated man path and info path

* Sat Jan  6 2001 Bill Nottingham <notting@redhat.com>
- escape %xx characters before fnmatch (#23475, patch from alane@geeksrus.net)

* Fri Jan  5 2001 Bill Nottingham <notting@redhat.com>
- update to 1.6, fix patches accordingly (#23412)
- fix symlink patch (#23411)

* Mon Dec 18 2000 Yukihiro Nakai <ynakai@redhat.com>
- Add Japanese and Korean Resources

* Tue Aug  1 2000 Bill Nottingham <notting@redhat.com>
- setlocale for LC_CTYPE too, or else all the translations think their
  characters are unprintable.

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 11 2000 Bill Nottingham <notting@redhat.com>
- build in new environment

* Mon Jun  5 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- FHS compliance

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Thu Aug 26 1999 Jeff Johnson <jbj@redhat.com>
- don't permit chmod 777 on symlinks (#4725).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- build for 6.0 tree
- add Provides

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries
- version 1.5.3

* Sat Jun 27 1998 Jeff Johnson <jbj@redhat.com>
- updated to 1.5.2

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- modified group to Applications/Networking

* Wed Apr 22 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.5.0
- they removed the man page from the distribution (Duh!) and I added it back
  from 1.4.5. Hey, removing the man page is DUMB!

* Fri Nov 14 1997 Cristian Gafton <gafton@redhat.com>
- first build against glibc
